/*
===========================================================

  WordPress Helpers
  
===========================================================
*/

import _ from 'lodash'

/*
-----------------------------------------------------------
  Helpers
-----------------------------------------------------------
*/


const getPostImageURL = (post, size = 'medium') => {

  // console.log('beep')

  const URL = _.get(
    post, 
    '_embedded.wp:featuredmedia.0.media_details.sizes.' 
    + size + '.source_url',
    null
  )

  return URL

}

/*
-----------------------------------------------------------
  Export
-----------------------------------------------------------
*/

export default {

  getPostImageURL

}
