/*
===========================================================

  Utils
  
===========================================================
*/

// NPM
import axios from 'axios'

/*
-----------------------------------------------------------
  Redis Instance
-----------------------------------------------------------
*/

const utils = {
  
  scrollToTop: () => {
    if (typeof process != 'undefined' && process && process.client) {
      const container = document.getElementById('page-main')
      container.scrollTo(0, 0);
    }
  },

  getURL: async (url, callback = null) => {

    let response = null
    
    response = await axios.get(url)

    const data = response.data

    if(callback){
      callback()
    }

    let output = data

    if(data.data){
      output = data.data
    }

    return output

  }

}

/*
-----------------------------------------------------------
  Export
-----------------------------------------------------------
*/

export default utils
